Subject: Re: bug#19564: 24.4; eieio backward compatibility

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 15 Jan 2015 06:22:32 +0100

Stefan Monnier <[email-masked]> writes:

>>>> The confusion comes that slot-value as documented should use the quoted
>>>> slot (i.e 'slot) and oref should use the keyword slot (i.e :slot).
>>> 
>>> I don't think so:
>>> 
>>> (defmacro oref (obj slot)
>>> `(eieio-oref ,obj (quote ,slot)))
>>> (defalias 'slot-value 'eieio-oref)
>>> 
>>> They both accept the slot name (except that one needs it quoted and the
>>> other doesn't) and the initarg name (as an alternative name for the
>>> slot).
>
>> Yes right, I have ckecked too, thanks.
>
> To get back to the original issue: is the conclusion that you indeed
> just don't need to the functionality of class-slot-initarg,

Yes, now I use slot-value with no keyword arg for slot.

> or would that functionality be handy but you managed to work around
> it?

No probably you can make it internal.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997